FROM ubuntu:22.04
MAINTAINER Anush

RUN apt update && \
    apt upgrade -y

RUN apt install -y --no-install-recommends \
    zip \
    curl \
    unzip \
    groff \
    jq \
    python3-pip \
    python-setuptools \
    ca-certificates 
    
RUN pip3 install awscli
RUN aws --version
RUN jq --version
RUN curl -sL https://sentry.io/get-cli/ | bash
RUN sentry-cli --help

RUN  curl -LO https://storage.googleapis.com/kubernetes-release/release/$(curl -s https://storage.googleapis.com/kubernetes-release/release/stable.txt)/bin/linux/amd64/kubectl

RUN  curl -LO https://storage.googleapis.com/kubernetes-release/release/v1.7.0/bin/linux/amd64/kubectl

RUN  chmod +x ./kubectl

RUN  mv ./kubectl /usr/local/bin/kubectl

RUN kubectl version || true
